<?php

class Wiaas_Admin_Delivery_Process {

	public static function init() {

		require_once dirname( __FILE__ ) . '/delivery-process/wiaas-admin-delivery-process-ajax.php';
		require_once dirname( __FILE__ ) . '/delivery-process/class-wiaas-admin-delivery-process-flow.php';
		require_once dirname( __FILE__ ) . '/delivery-process/class-wiaas-admin-delivery-process-order.php';
		require_once dirname( __FILE__ ) . '/delivery-process/class-wiaas-admin-delivery-process-list.php';

		add_action( 'admin_enqueue_scripts', array(__CLASS__, 'enqueue_scripts'), 100 );
	}

	public static  function enqueue_scripts() {

		$plugin_url = untrailingslashit( plugins_url( '/', WIAAS_FILE ) );

		wp_enqueue_script( 'wiaas_admin_delivery_process', $plugin_url . '/assets/js/wiaas-admin-delivery-process.js' );
	}
}

Wiaas_Admin_Delivery_Process::init();
